질문/조언질답게시판
Extra Form

XE 1.10 업데이트 준비과정에서 jQuery UI 1.10.3 to 1.21.1 도 계획되었다가 XE 1.10이 취소되고 방치된 것 같습니다.


1.9.3에 해당내용이 반영되어 배포된 것으로 공지가 된 것으로 보아 개발팀은 이부분이 방치된 것 조차 모르고 있을 것 같구요. 금일 제가 이슈로 다시 등록 했는데요.


원래 계획되었던 패치 를 사이트에 미리 적용해도 문제가 되는게 없는지 궁금합니다.

https://github.com/xpressengine/xe-core/issues/2197


jQuery UI 1.12.1 가 하위버전에 기능을 모두 포함할 것으로 예상되어 문제가 전혀 없을 것 같다는 생각이 전문성이 없는 개인적인 생각입니다.

  • profile

    jQuery의 작동방식이 달라지게 되는 중요한 사항이기 때문에 꼼꼼하게 확인해봐야할 필요가 있습니다.

    바뀌는 파일에 따라 관리자 페이지나 어떤 페이지이나 예상치 못한 버그는 언제나 생길 수 있습니다.

    이 버그에 대응이 가능하다면 하셔도됩니다.

    하시는건 자유이시지만 그에 따른 책임이 있듯이.. 굳이 지금 지원안될때 버전을 올리는 것은 좋은 판단은 아닌 것 같습니다.

    이 부분은 변경점도 많고 다른 호환성문제가 있으니 최대한 코어를 유지하는것도 나쁘지 않다는 것이 제 견해입니다..

  • profile profile
    말씀하시는 문제가 있을까 하여 질문글을 작성하고 의견을 듣고자 했습니다.
    https://github.com/xpressengine/xe-core/issues/2197
    내용을 살펴보면 다른 곳에서 추가적인 조치가 필요하지 않은 단순한 파일교체 이외 발견하지 못해 질문을 하게 되었습니다

    문제가 되는 부분이 있다면 저때도 다른 변경사항이 함께 있었을 것 같아서요.

    물론 문제가 된다고 하시니 업데이트는 즉시 하지는 않을 생각입니다.
  • profile profile
    지금 당장 혼자 먼저 업데이트 하셔서 모든 고생을 하시는 것 보다 XE버전이 업데이트 되면서 모든 사용자가 업데이트된 버전을 사용하시게 되고 의견 및 토론이 나올때 함께 참여해서 만들어 가시는 것이 가장 베스트라고 생각해요.

    문제점은 어디에서 어떻게 터질지 모르는 것이예요.

    라이믹스는 그만큼 버전 업데이트와 함께 발생할 수 있는 오류에 대해서 꼼꼼히 정검한뒤 업데이트를 마쳤습니다 ㅎㅎ

    (버전 업데이트 이후 실사용자들에게도 의견을 듣기도 했죠ㅎㅎㅎ)
  • profile
    맞습니다. 좀더 안정성이 확보될 때 업데이트 하는게 좋을 것 같긴한데... 저같은 경우에는 오래전에 (이번에 잘못 업데이트 공지됐을 때) 제가 여러 사이트들에 그냥 적용시켜 버렸습니다. 지금까지의 결과는 놀랍게도 아직 아무런 문제가 없다는 것입니다. ^^ 사실 문제가 있으면 다시 이전 버전으로 돌리면 될 것 같아서 제 생각에는 그냥 한번 업데이트 시켜보는 것도 좋지 않을까 싶기도 한데,, 암튼 본인이 결정해야 할 문제인 것 같습니다.
  • profile profile
    다른 UI 위젯들도 아직 괜찮은 건가요? 저는 쓰는 게 autocomplete다 보니, XE에 최신 UI를 적용해봤는데 일단 거기서도 별 문제는 없더라구요.
  • profile profile
    네. 제 생각도 하위버전의 기능을 생략한 것이 있다면 그에 따른 조치가 필요할텐데 XE에서도 별다른 조치나 그런 것 없이 상위버전으로 교체의 코드만 있었던 것 같아서요.

    그리고 하위버전 호환성을 깨는 업데이트가 흔하게 시도하지는 않을 것 같아서 질문을 드렸습니다.
    - jQuery UI 버전업
  • profile profile
    저도 봐서 저희 사이트를 최신으로 적용해 볼까 생각 중이에요. 지금 공개해주신 회원검색 위젯을 사용해 보려구요.

서버에 요청 중입니다. 잠시만 기다려 주십시오...